Clients

Returns the list of clients.

get
/clients

The clients are sorted by creation date, in descending order. The most recently created clients appear first. The clients are paginated, a maximum of 10 clients are returned per page. If there are more clients to fetch, the response includes a non null nextPageCursor field. The nextPageCursor can be injected in the cursor parameter to fetch the next page of clients. If the nextPageToken field is null, there are no more clients to fetch.

Authorizations
RIALTO_API_KEYstringRequired
Query parameters
cursorstring · date-timeOptional

The cursor to fetch the next page of clients.

Responses
chevron-right
200

A JSON array of clients.

application/json
nextPageCursorstring · nullableOptional
get
/clients

Returns a client by ID.

get
/clients/{clientId}

Returns a client by its unique identifier.

Authorizations
RIALTO_API_KEYstringRequired
Path parameters
clientIdstring · uuidRequired

The unique identifier of the client.

Responses
chevron-right
200

A client.

application/json
idstring · uuidOptional

The unique identifier of the client.

statusstring · enumOptional

The status of the client.

  • ONBOARDING_IN_PROGRESS: The client is in the onboarding process.
  • ONBOARDING_UNDER_REVIEW: The client is under review.
  • RESUBMISSION_REQUIRED: Rialto's compliance team has required more information for onboarding, information must be resubmitted.
  • WAITING_FOR_TERMS_AND_CONDITIONS_SIGNATURE: The client is waiting for the terms and conditions signature.
  • VERIFIED: The client is verified,
  • DELETED: The client is deleted.
Possible values:
clientTypestring · enumOptional

The type of the client.

  • INDIVIDUAL: The client is an individual client.
  • ENTITY: The client is an entity client.
Possible values:
onboardingResubmissionReasonstring · nullableOptional

The reason why the onboarding information must be resubmitted. This field is only present when the client is in the status RESUBMISSION_REQUIRED.

createdAtstring · date-timeOptional

The creation date of the client.

updatedAtstring · date-timeOptional

The last update date of the client.

deletedAtstring · nullableOptional

The deletion date of the client.

get
/clients/{clientId}

Deletes a client by ID.

delete
/clients/{clientId}

Deletes a client by its unique identifier. A deleted client cannot be recovered. It is still queryable but its status is set to DELETED. It is not possible to create transactions with a deleted client.

Authorizations
RIALTO_API_KEYstringRequired
Path parameters
clientIdstring · uuidRequired

The unique identifier of the client.

Responses
chevron-right
200

Client deleted.

application/json
idstring · uuidOptional

The unique identifier of the client.

statusstring · enumOptional

The status of the client.

  • ONBOARDING_IN_PROGRESS: The client is in the onboarding process.
  • ONBOARDING_UNDER_REVIEW: The client is under review.
  • RESUBMISSION_REQUIRED: Rialto's compliance team has required more information for onboarding, information must be resubmitted.
  • WAITING_FOR_TERMS_AND_CONDITIONS_SIGNATURE: The client is waiting for the terms and conditions signature.
  • VERIFIED: The client is verified,
  • DELETED: The client is deleted.
Possible values:
clientTypestring · enumOptional

The type of the client.

  • INDIVIDUAL: The client is an individual client.
  • ENTITY: The client is an entity client.
Possible values:
onboardingResubmissionReasonstring · nullableOptional

The reason why the onboarding information must be resubmitted. This field is only present when the client is in the status RESUBMISSION_REQUIRED.

createdAtstring · date-timeOptional

The creation date of the client.

updatedAtstring · date-timeOptional

The last update date of the client.

deletedAtstring · nullableOptional

The deletion date of the client.

delete
/clients/{clientId}

Last updated